using UnityEngine;

public class TouchCubeTest : Interactable
{
    public override void Interact()
    {
        // do nothing
    }

    public override void MoveInsideRange()
    {
        if (GameManager.Instance.Storybools.hasHelpedSam)
        {
            Debug.Log("You've already touched the cube!");
        }
        else
        {
            Debug.Log("Touched the cube!");
            GameManager.Instance.Storybools.hasHelpedSam = true;
            SaveSystem.Save();
        }      
    }

    public override void MoveOutsideRange()
    {
        // do nothing
    }
}
